Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class JavaScriptWidgetListener.JSRepeaterListener

    java.lang.Object
      org.apache.cocoon.forms.event.impl.JavaScriptWidgetListener
          org.apache.cocoon.forms.event.impl.JavaScriptWidgetListener.JSRepeaterListener

All Implemented Interfaces:
  EventListener, RepeaterListener, WidgetListener

Enclosing class:
  JavaScriptWidgetListener

public static class JavaScriptWidgetListener.JSRepeaterListener
extends JavaScriptWidgetListener
implements RepeaterListener

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.event.impl.JavaScriptWidgetListener
`JavaScriptWidgetListener.JSActionListener, JavaScriptWidgetListener.JSCreateListener, JavaScriptWidgetListener.JSProcessingPhaseListener, JavaScriptWidgetListener.JSRepeaterListener, JavaScriptWidgetListener.JSTreeSelectionListener, JavaScriptWidgetListener.JSValueChangedListener`

Constructor Summary
`JavaScriptWidgetListener.JSRepeaterListener(org.mozilla.javascript.Function func, org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Method Summary
`void` | `repeaterModified(RepeaterEvent event)`

Methods inherited from class org.apache.cocoon.forms.event.impl.JavaScriptWidgetListener
`callScript`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptWidgetListener.JSRepeaterListener

    public JavaScriptWidgetListener.JSRepeaterListener(org.mozilla.javascript.Function func,
                                                       org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Method Detail

### repeaterModified

    public void repeaterModified(RepeaterEvent event)

  Specified by:
    `repeaterModified` in interface `RepeaterListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.